@media (min-width: 1600px) {
  .container {
    max-width: 1600px;
  }
}

@media (max-width: 1600px) {

  :root {
    --fs-114: 100px;
    --fs-100: 90px;
    --fs-94: 80px;
    --fs-70: 65px;
    --fs-60: 55px;
    --fs-50: 46px;
    --fs-40: 36px;
    --fs-35: 30px;
    --fs-30: 28px;
  }

  .top-bar-grid p,
  .menu-item>a,
  .mega-links a,
  .search-btn {
    font-size: 16px;
  }

  .mega-menu {
    width: 1020px;
    padding: 60px 30px 30px;
    column-gap: 20px;
  }

  .hero-section {
    height: 720px;
  }

  .cat-thumb {
    height: 300px;
  }

  .single-product-grid,
  .ab-grid {
    gap: 60px;
  }

  .group-box textarea {
    height: 120px;
  }

  .ab-content {
    max-width: 670px;
  }

  .opr-item .fs-30 {
    font-size: 26px;
  }

  .opr-item p {
    font-size: 16px;
  }

}

@media (max-width: 1400px) {

  :root {
    --fs-114: 90px;
    --fs-100: 80px;
    --fs-94: 70px;
    --fs-70: 60px;
    --fs-60: 50px;
    --fs-50: 44px;
    --fs-40: 32px;
    --fs-35: 24px;
    --fs-30: 24px;
    --fs-25: 22px;
    --fs-18: 16px;
  }

  .mega-menu h3,
  .footer-details p,
  .footer-links ul li a,
  .copyright p {
    font-size: 16px;
  }

  .mega-menu {
    width: 800px;
  }

  .top-bar-grid p, .menu-item>a, .mega-links a, .search-btn {
    font-size: 15px;
  }

  .main-products-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }

  .main-products-section {
    padding: 60px 0;
  }

  .review-box p {
    font-size: 16px;
    line-height: 1.5;
  }

  .reviewr-name {
    font-size: 18px;
  }

  .products-section {
    padding: 20px 0 60px;
  }

  .prod-grid {
    gap: 30px;
    row-gap: 40px;
  }

  .product-slider {
    max-width: 620px;
  }

  .product-slider .mySwiper2 {
    max-width: 520px;
  }

  .product-slider .swiper.mySwiper.swiper-thumbs .swiper-wrapper {
    max-height: 520px;
  }

  .product-slider .swiper-button-next,
  .product-slider .swiper-button-prev {
    width: 50px;
  }

  .sp-name,
  .short-description {
    margin-bottom: 20px;
  }

  .product-detail p, .custome-option textarea {
    font-size: 16px;
  }

  .custome-option {
    margin: 16px 0;
  }

  .ab-content {
    max-width: 600px;
  }

  .opr-grid {
    gap: 20px;
  }

  .opr-item {
    padding: 40px 10px;
    min-height: auto;
  }

  .opr-item .fs-30 {
    font-size: 22px;
    line-height: 1.2;
  }

  .why-choose-section {
    padding: 120px 0;
  }

  .form-group label {
    font-size: 16px;
  }

  .site-header .logo img {
    max-width: 80px;
  }
}


@media (max-width: 1199px) {

  :root {
    --fs-114: 80px;
    --fs-100: 70px;
    --fs-94: 60px;
    --fs-70: 55px;
    --fs-60: 45px;
    --fs-50: 42px;
    --fs-35: 20px;
    --fs-30: 22px;
  }

  .mega-menu {
    width: 620px;
  }

  .mega-col {
    flex: none;
    width: 48%;
  }

  .cat-list {
    padding: 30px 20px;
  }

  .max-875 {
    max-width: 620px;
  }

  .main-products-grid,
  .prod-grid,
  .opr-grid {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .review-box {
    padding: 60px 20px 40px 40px;
    background-size: 100px;
  }

  .cat-banner {
    height: 350px;
  }

  .prod-detail {
    padding-top: 20px;
  }

  .single-product-grid {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .universal-banner {
    min-height: 240px;
  }

  .ab-content .fs-70 {
    margin-bottom: 20px;
  }

  .contact-grid {
    gap: 80px;
  }
}

@media (max-width: 991px) {
  :root {
    --fs-114: 70px;
    --fs-100: 60px;
    --fs-94: 55px;
    --fs-70: 50px;
    --fs-60: 40px;
    --fs-50: 40px;
    --fs-30: 20px;
  }

  .site-header .logo img {
    max-width: 70px;
  }

  .mobile-toggle {
    display: block;
  }

  /* Mobile Active State for Hamburger */
  .mobile-toggle.active span:nth-child(1) {
    top: 8px;
    transform: rotate(135deg);
  }

  .mobile-toggle.active span:nth-child(2) {
    opacity: 0;
    left: -60px;
  }

  .mobile-toggle.active span:nth-child(3) {
    top: 8px;
    transform: rotate(-135deg);
  }

  .nav-list {
    position: fixed;
    top: 102px;
    left: -100%;
    width: 100%;
    height: calc(100vh - 130px);
    background: var(--white);
    flex-direction: column;
    transition: left 0.4s cubic-bezier(0.165, 0.84, 0.44, 1);
    overflow-y: auto;
    padding: 20px;
    display: block;
  }

  .nav-list.active {
    left: 0;
  }

  .menu-item {
    height: auto;
    width: 100%;
    border-bottom: 1px solid #f0f0f1;
  }

  .menu-item>a {
    height: 60px;
    padding: 0;
    justify-content: space-between;
    font-size: 1.1rem;
  }

  /* On Mobile, Menus are toggled by jQuery */
  .mega-menu, .dropdown {
    position: static;
    width: 100%;
    opacity: 1;
    visibility: visible;
    transform: none;
    box-shadow: none;
    border: none;
    padding: 20px;
    display: none;
    /* jQuery will use slideToggle */
    background: #f9f9f9;
    border-radius: 4px;
  }

  .mega-menu h3 {
    margin-bottom: 20px;
  }

  .mega-col {
    width: 100%;
  }

  .menu-item:hover .mega-menu {
    transform: none;
  }

  .mega-menu {
    flex-direction: column;
    gap: 20px;
  }

  .nav-actions {
    display: none;
  }

  .top-bar {
    display: none;
  }

  .hero-section {
    height: 600px;
  }

  .clearance-section {
    background-position: left;
  }

  .red-btn {
    padding: 12px 40px;
  }

  .cat-thumb {
    height: 260px;
  }

  .swiper.myTestimonials .swiper-wrapper {
    padding: 40px 0;
  }

  .testimonial-box .fs-70::after {
    width: 180px;
  }

  .category-banner::after {
    height: 220px;
  }

  .cat-banner {
    height: 320px;
  }

  .prod-grid {
    grid-template-columns: 1fr 1fr;
  }

  .product-detail .breadcrumb,
  .why-choose-box .fs-70 {
    margin-bottom: 20px;
  }

  .ab-grid {
    flex-direction: column;
    align-items: start;
    gap: 30px;
  }

  .ab-content {
    max-width: 100%;
  }

  .opr-grid {
    grid-template-columns: 1fr 1fr;
    margin-top: 30px;
  }

  .opr-box>p {
    font-size: 18px;
  }

  .why-choose-section {
    padding: 80px 0;
  }

  .contact-grid {
    gap: 60px;
  }

  .contact-ox h2 {
    margin-bottom: 10px;
  }
}

@media (max-width: 767px) {
  :root {
    --fs-114: 60px;
    --fs-100: 50px;
    --fs-94: 50px;
    --fs-70: 45px;
    --fs-60: 35px;
    --fs-50: 38px;
    --fs-40: 30px;
    --fs-35: 18px;
    --fs-30: 18px;
  }

  .footer-details p, .footer-links ul li a, .copyright p, .cat-list li a {
    font-size: 15px;
  }

  .hero-section {
    height: 500px;
  }

  .site-header .logo img {
    max-width: 60px;
  }

  .clearance-section,
  .testimonial-section,
  .about-section,
  .opr-section,
  .why-choose-section {
    padding: 60px 0;
  }

  .main-products-grid {
    grid-template-columns: 1fr 1fr;
  }

  .cat-main {
    padding: 30px;
  }

  .cat-banner {
    height: 200px;
  }

  .product-slider {
    max-width: 100%;
  }

  .product-slider {
    flex-direction: column;
  }

  .product-slider .swiper.mySwiper.swiper-thumbs {
    width: 100%;
  }

  .product-slider .swiper.mySwiper.swiper-thumbs .swiper-wrapper {
    flex-direction: row;
    gap: 0;
  }

  .product-slider .swiper.mySwiper.swiper-thumbs .swiper-wrapper .swiper-slide {
    width: auto !important;
  }

  .product-slider .mySwiper2 {
    margin: 0;
  }

  .single-product-section,
  .related-section {
    padding: 60px 0;
  }

  .cus-grid {
    gap: 40px;
  }

  .cus-grid::after {
    content: none;
  }

  .cs-wrap p,
  .why-choose-box ul li {
    font-size: 16px;
  }

  .review-form .fs-20 {
    margin-bottom: 20px;
  }

  .related-box .fs-70 {
    margin-bottom: 40px;
  }

  .opr-item p {
    font-size: 15px;
  }

  .opr-item .fs-30 {
    font-size: 20px;
  }

  .accordion-container .set>a {
    font-size: 20px;
  }

  .accordion-container .set {
    padding: 20px;
  }

  .accordion-container .set>a img {
    max-width: 24px;
  }

  .faq-section {
    padding: 60px 0;
  }

  .contact-grid {
    flex-wrap: wrap;
    gap: 30px;
  }

  .get-in-touch>p {
    font-size: 16px;
  }

  .privacy-section {
    padding: 40px 0;
  }
}

@media (max-width: 575px) {
  :root {
    --fs-114: 50px;
    --fs-100: 45px;
    --fs-94: 45px;
    --fs-60: 30px;
    --fs-50: 36px;
    --fs-40: 28px;
    --fs-35: 16px;
  }

  .footer-details p, .footer-links ul li a, .copyright p {
    line-height: 1.4;
  }

  .hero-section {
    height: 430px;
  }

  .mail-row input[type="email"] {
    width: 100%;
  }

  .cat-main {
    padding: 20px;
  }

  .category-banner::after {
    height: 180px;
  }

  .prod-category {
    font-size: 15px;
  }

  .prod-name,
  .opr-box>p {
    font-size: 16px;
  }

  .product-slider .mySwiper2 .swiper-slide img,
  .product-slider .mySwiper2 .swiper-slide {
    width: 100% !important;
  }

  .product-slider .swiper-button-next,
  .product-slider .swiper-button-prev {
    width: 40px;
  }

  .cus-grid {
    flex-wrap: wrap;
    gap: 10px;
  }

  .review-submit {
    margin-top: 30px;
  }

  .banner-box .fs-60 {
    font-size: 30px;
  }

  .opr-grid,
  .w-half {
    grid-template-columns: 1fr;
  }

  .w-half {
    gap: 0;
  }

  .accordion-container .set>a {
    font-size: 18px;
  }
}

@media (max-width: 430px) {
  :root {
    --fs-114: 45px;
    --fs-100: 40px;
    --fs-94: 40px;
    --fs-70: 40px;
    --fs-60: 24px;
    --fs-18: 15px;
  }

  .hero-section {
    height: 400px;
  }

  .main-products-grid {
    grid-template-columns: 1fr;
  }

  .cat-thumb {
    height: auto;
  }

  .review-box p {
    font-size: 15px;
  }

  .mail-row input[type="submit"] {
    padding: 10px 20px;
    font-size: 14px;
  }

  .prod-thumb {
    padding: 20px;
  }

  .prod-grid {
    grid-template-columns: 1fr;
  }

  .product-slider .swiper.mySwiper.swiper-thumbs .swiper-wrapper .swiper-slide {
    width: 40px !important;
  }

  .login-box {
    padding: 50px 20px;
  }

  .cs-wrap {
    text-align: center;
  }

  .customer-box .fs-30 {
    margin-bottom: 20px;
  }

  .related-box .fs-70::after {
    width: 200px;
  }

  .accordion-container .set>a {
    font-size: 16px;
  }

  .accordion-container .set>a img {
    max-width: 20px;
  }
}